Ad Account Customaudiences
Updated: Dec 19, 2025
Reading
The custom audiences associated with the ad account.
Note: To retrieve the IDs of lookalike audiences based on your custom audiences, use the
lookalike_audience_ids field. See Lookalike Audiences - Managing Audiences for more information.Example
GET /v25.0/act_<AD_ACCOUNT_ID>/customaudiences?fields=id HTTP/1.1 Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
business_idnumeric string or integer |
Optional. This param assists with filters, such as recently used. |
fetch_primary_audienceboolean | Default value: false
fetch_primary_audience
|
fieldslist<string> |
Fields to be retrieved. Default behavior is to return only the IDs.
|
filteringlist<Filter Object> |
Filters on the report data. This parameter is an array of filter objects.
field stringrequired operator enum {EQUAL, NOT_EQUAL, GREATER_THAN, GREATER_THAN_OR_EQUAL, LESS_THAN, LESS_THAN_OR_EQUAL, IN_RANGE, NOT_IN_RANGE, CONTAIN, NOT_CONTAIN, CONTAINS_ANY, CONTAINS_ALL, NOT_CONTAINS_ANY, STEM_MATCH, IN, NOT_IN, STARTS_WITH, ENDS_WITH, ANY, ALL, AFTER, BEFORE, ON_OR_AFTER, ON_OR_BEFORE, NONE, TOP}required value stringrequired Show child parameters |
pixel_idnumeric string |
Optional. This param fetches audiences associated to specific pixel. |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of CustomAudience nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
80003 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#custom-audience. |
Creating
Your ability to create custom audiences may be limited.
It is expected that you have the same audience capabilities independent of your app’s status, which could be in development or live.
To create a custom audience you’ll first need to create a blank audience. Then, you’ll want to add people to the blank audience you just created by updating the users edge of the audience. You can create a maximum of 500 custom audiences.
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.